## visad.util
Class DataConverter

    java.lang.Object
      visad.util.DataConverter

public class DataConverter
extends Object

DataConverter provides a simple GUI for converting data between VisAD-supported formats, using the data form of choice.

Field Summary
`protected JTextArea` `area`
`protected DataImpl` `data`
`protected static ExtensionFileFilter` `FILTER`
`protected Vector` `forms`
`protected JFrame` `frame`
`protected File` `lastDir`
`protected JButton` `read`
`protected JScrollPane` `scroll`
`protected JButton` `write`

Constructor Summary
`DataConverter()`
`DataConverter(File dir, String prefix)`

Method Summary
`protected File` `doDialog(FormNode form, boolean save)`
`protected void` `doGUI()`
`protected void` `exportData(FormNode form)`
`protected void` `findForms(File f, String prefix)`
`protected String[]` `getSuffixes(FormNode form)`
`protected void` `importData(FormNode form)`
`static void` `main(String[] args)` Run 'java visad.util.DataConverter' to convert some data.
`protected void` `popup(JButton button, JPopupMenu menu)`
`protected void` `print(String text)`
`protected void` `println()`
`protected void` `println(String text)`
`protected void` `println(Throwable t)`
`protected void` `setBusy(boolean busy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILTER

    protected static final ExtensionFileFilter FILTER

### forms

    protected Vector forms

### data

    protected DataImpl data

### lastDir

    protected File lastDir

### frame

    protected JFrame frame

### area

    protected JTextArea area

### scroll

    protected JScrollPane scroll

### read

    protected JButton read

### write

    protected JButton write

Constructor Detail

### DataConverter

    public DataConverter()

### DataConverter

    public DataConverter(File dir,
                         String prefix)

Method Detail

### doGUI

    protected void doGUI()

### popup

    protected void popup(JButton button,
                         JPopupMenu menu)

### importData

    protected void importData(FormNode form)

### exportData

    protected void exportData(FormNode form)

### doDialog

    protected File doDialog(FormNode form,
                            boolean save)

### getSuffixes

    protected String[] getSuffixes(FormNode form)

### setBusy

    protected void setBusy(boolean busy)

### print

    protected void print(String text)

### println

    protected void println(String text)

### println

    protected void println()

### println

    protected void println(Throwable t)

### findForms

    protected void findForms(File f,
                             String prefix)

### main

    public static void main(String[] args)

  Run 'java visad.util.DataConverter' to convert some data.